import dashboard
from dashboard import Link
from membershipworks.models import Member
from paperwork.models import Department


@dashboard.register
class ExternalAppsDashboardFragment(dashboard.LinksCardDashboardFragment):
    name = "External Applications"

    @property
    def links(self):
        links = [
            Link(
                "Wiki",
                "https://wiki.claremontmakerspace.org",
                tooltip="Uses CMS Network Computing account",
                permission=None,
            ),
            Link(
                "Mailman",
                "http://mailman.claremontmakerspace.org",
                tooltip="Mailing list management. Uses its own authentication, for now",
                permission=None,
            ),
        ]

        member = Member.from_user(self.request.user)
        if (
            member is not None
            and Department.objects.filter(shop_lead_flag__members=member).exists()
        ):
            links.append(
                Link(
                    "Ticketing System",
                    "https://tickets.claremontmakerspace.org/scp/",
                    tooltip="Uses CMS Network Computing account",
                    permission=None,
                )
            )

        return links
