# Generated by Django 5.0.2 on 2024-02-23 18:36

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("doorcontrol", "0005_doorcardholdermember_and_more"),
        ("membershipworks", "0015_eventmeetingtime_end_after_start"),
    ]

    operations = [
        migrations.CreateModel(
            name="Schedule",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.AddField(
            model_name="door",
            name="access_field",
            field=models.TextField(
                default="CHANGE ME",
                help_text="Membershipworks field that grants members access to this door",
                max_length=128,
            ),
            preserve_default=False,
        ),
        migrations.CreateModel(
            name="FlagScheduleRule",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("doors", models.ManyToManyField(to="doorcontrol.door")),
                (
                    "flag",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="membershipworks.flag",
                    ),
                ),
                (
                    "schedule",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="doorcontrol.schedule",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="AttributeScheduleRule",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "access_field",
                    models.CharField(
                        help_text="Membershipworks field that grants members access to this door using this schedule.",
                        max_length=128,
                    ),
                ),
                ("doors", models.ManyToManyField(to="doorcontrol.door")),
                (
                    "schedule",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="doorcontrol.schedule",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
