# Generated by Django 5.0 on 2023-12-30 19:28

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("membershipworks", "0004_alter_memberflag_member_alter_transaction_member"),
    ]

    operations = [
        migrations.CreateModel(
            name="Event",
            fields=[
                (
                    "eid",
                    models.CharField(max_length=255, primary_key=True, serialize=False),
                ),
                ("url", models.TextField()),
                ("title", models.TextField()),
                ("start", models.DateTimeField()),
                ("end", models.DateTimeField(blank=True, null=True)),
                ("cap", models.IntegerField(blank=True, null=True)),
                ("count", models.IntegerField()),
                (
                    "calendar",
                    models.IntegerField(
                        choices=[
                            (0, "Hidden"),
                            (1, "Green"),
                            (2, "Red"),
                            (3, "Yellow"),
                            (4, "Blue"),
                            (5, "Purple"),
                            (6, "Magenta"),
                            (7, "Grey"),
                            (8, "Teal"),
                        ]
                    ),
                ),
                ("venue", models.TextField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="EventCategory",
            fields=[
                ("id", models.IntegerField(primary_key=True, serialize=False)),
                ("title", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="EventExt",
            fields=[
                (
                    "event_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="membershipworks.event",
                    ),
                ),
                (
                    "materials_fee",
                    models.DecimalField(
                        blank=True, decimal_places=4, max_digits=13, null=True
                    ),
                ),
            ],
            options={
                "verbose_name": "event",
            },
            bases=("membershipworks.event",),
        ),
        migrations.AddField(
            model_name="event",
            name="category",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                to="membershipworks.eventcategory",
            ),
        ),
        migrations.CreateModel(
            name="EventInstructor",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True)),
                (
                    "member",
                    models.OneToOneField(
                        blank=True,
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="membershipworks.member",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="EventMeetingTime",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("start", models.DateTimeField()),
                ("end", models.DateTimeField()),
                (
                    "event",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="meeting_times",
                        to="membershipworks.eventext",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="eventext",
            name="instructor",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="membershipworks.eventinstructor",
            ),
        ),
        migrations.AddConstraint(
            model_name="eventmeetingtime",
            constraint=models.UniqueConstraint(
                fields=("event", "start", "end"), name="unique_event_start_end"
            ),
        ),
    ]
