# Generated by Django 5.0.1 on 2024-01-29 19:19

from django.db import migrations, models

import django_db_views.migration_functions
import django_db_views.operations


class Migration(migrations.Migration):
    dependencies = [
        ("membershipworks", "0011_eventext_details"),
    ]

    operations = [
        migrations.CreateModel(
            name="EventAttendeeStats",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("gross_revenue", models.FloatField()),
            ],
            options={
                "managed": False,
            },
        ),
        django_db_views.operations.ViewRunPython(
            code=django_db_views.migration_functions.ForwardViewMigration(
                "SELECT\n        row_number() over () as id,\n        eventext.event_ptr_id AS event_id,\n        tkt.label,\n        tkt.list_price,\n        tkt.quantity,\n        GROUP_CONCAT(tkt.restrict_to SEPARATOR ',') as restrict_to\n    FROM\n        membershipworks_eventext AS eventext,\n        JSON_TABLE (eventext.details, '$.tkt[*]' COLUMNS (\n            id FOR ORDINALITY,\n            label VARCHAR(256) PATH '$.lbl' ERROR ON ERROR,\n            list_price DOUBLE PATH '$.amt' ERROR ON ERROR,\n            quantity INTEGER PATH '$.cnt' DEFAULT 0 ON EMPTY ERROR ON ERROR,\n            NESTED PATH '$.dsp[*]' COLUMNS (\n                restrict_to VARCHAR(100) PATH '$' ERROR ON ERROR\n            )\n        )) AS tkt\n    GROUP BY event_id, id",
                "membershipworks_eventtickettype",
                engine="django.db.backends.mysql",
            ),
            reverse_code=django_db_views.migration_functions.BackwardViewMigration(
                "", "membershipworks_eventtickettype", engine="django.db.backends.mysql"
            ),
            atomic=False,
        ),
        migrations.CreateModel(
            name="EventTicketType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("label", models.TextField()),
                ("restrict_to", models.TextField(blank=True, null=True)),
                ("list_price", models.FloatField()),
                ("quantity", models.IntegerField()),
            ],
            options={
                "managed": False,
                "base_manager_name": "objects",
            },
        ),
        django_db_views.operations.ViewRunPython(
            code=django_db_views.migration_functions.ForwardViewMigration(
                "SELECT eventext.event_ptr_id as event_id, SUM(tkt.s) as gross_revenue\n    FROM\n        membershipworks_eventext as eventext,\n        JSON_TABLE(eventext.details, '$.usr[*]' COLUMNS (\n            s DOUBLE PATH '$.sum' DEFAULT 0 ON EMPTY\n        )) as tkt\n    GROUP BY event_id",
                "membershipworks_eventattendeestats",
                engine="django.db.backends.mysql",
            ),
            reverse_code=django_db_views.migration_functions.BackwardViewMigration(
                "",
                "membershipworks_eventattendeestats",
                engine="django.db.backends.mysql",
            ),
            atomic=False,
        ),
    ]
