from django.urls import path

from . import views

app_name = "membershipworks"

urlpatterns = [
    path(
        "member-autocomplete/",
        views.MemberAutocomplete.as_view(),
        name="member-autocomplete",
    ),
    path(
        "upcoming-events/",
        views.upcoming_events,
        name="upcoming-events",
    ),
    path(
        "event-report/",
        views.EventIndexReport.as_view(),
        name="event-index-report",
    ),
    path(
        "event-report/<int:year>/",
        views.EventYearReport.as_view(),
        name="event-year-report",
    ),
    path(
        "event-report/<int:year>/<int:month>/",
        views.EventMonthReport.as_view(month_format="%m"),
        name="event-month-report",
    ),
    path(
        "my-events/",
        views.UserEventView.as_view(),
        name="user-events",
    ),
    path(
        "event/<eid>_preview.pdf",
        views.EventInvoicePDFPreviewView.as_view(),
        name="event-invoice-pdf-preview",
    ),
    path(
        "event/<eid>",
        views.EventDetailView.as_view(),
        name="event-detail",
    ),
    path(
        "event/<eid>/registrations",
        views.EventRegistrationsView.as_view(),
        name="event-registrations",
    ),
    path(
        "event/invoice/<uuid:uuid>.pdf",
        views.EventInvoicePDFView.as_view(),
        name="event-invoice-pdf",
    ),
    path(
        "event-attendees",
        views.EventAttendeeListView.as_view(),
        name="event-attendees",
    ),
    path(
        "missing-paperwork",
        views.MissingPaperworkReport.as_view(),
        name="missing-paperwork-report",
    ),
]
