# Generated by Django 4.0.2 on 2022-02-03 21:12

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("membershipworks", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="CertificationDefinition",
            fields=[
                (
                    "certification_identifier",
                    models.AutoField(
                        db_column="Certification Identifier",
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "certification_name",
                    models.CharField(
                        blank=True,
                        db_column="Certification Name",
                        max_length=255,
                        null=True,
                    ),
                ),
                (
                    "department",
                    models.CharField(
                        blank=True, db_column="Department", max_length=255, null=True
                    ),
                ),
            ],
            options={
                "db_table": "Certification Definitions",
                "ordering": ("certification_name", "department"),
            },
        ),
        migrations.CreateModel(
            name="CmsRedRiverVeteransScholarship",
            fields=[
                ("serial", models.AutoField(primary_key=True, serialize=False)),
                (
                    "program_name",
                    models.CharField(db_column="Program Name", max_length=255),
                ),
                (
                    "member_name",
                    models.CharField(
                        blank=True, db_column="Member Name", max_length=255, null=True
                    ),
                ),
                (
                    "discount_percent",
                    models.DecimalField(
                        blank=True,
                        db_column="Discount Percent",
                        decimal_places=0,
                        max_digits=16,
                        null=True,
                    ),
                ),
                (
                    "discount_code",
                    models.CharField(
                        blank=True, db_column="Discount Code", max_length=255, null=True
                    ),
                ),
                (
                    "membership_code",
                    models.CharField(
                        blank=True,
                        db_column="Membership Code",
                        max_length=255,
                        null=True,
                    ),
                ),
                (
                    "start_date",
                    models.DateField(blank=True, db_column="Start Date", null=True),
                ),
                (
                    "end_date",
                    models.DateField(blank=True, db_column="End Date", null=True),
                ),
                (
                    "program_amount",
                    models.DecimalField(
                        blank=True,
                        db_column="Program Amount",
                        decimal_places=0,
                        max_digits=16,
                        null=True,
                    ),
                ),
                (
                    "program_status",
                    models.CharField(
                        blank=True, db_column="Program Status", max_length=16, null=True
                    ),
                ),
            ],
            options={
                "db_table": "CMS Red River Veterans Scholarship",
            },
        ),
        migrations.CreateModel(
            name="InstructorOrVendor",
            fields=[
                ("serial", models.AutoField(primary_key=True, serialize=False)),
                ("name", models.CharField(db_column="Name", max_length=255)),
                (
                    "instructor_agreement_date",
                    models.DateField(
                        blank=True, db_column="Instructor Agreement Date", null=True
                    ),
                ),
                (
                    "w9_date",
                    models.DateField(blank=True, db_column="W9 date", null=True),
                ),
                ("phone", models.CharField(blank=True, max_length=255, null=True)),
                (
                    "email_address",
                    models.CharField(
                        blank=True, db_column="email address", max_length=255, null=True
                    ),
                ),
            ],
            options={
                "db_table": "Instructors and Vendors",
            },
        ),
        migrations.CreateModel(
            name="SpecialProgram",
            fields=[
                (
                    "program_name",
                    models.CharField(
                        db_column="Program Name",
                        max_length=255,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "discount_percent",
                    models.DecimalField(
                        blank=True,
                        db_column="Discount Percent",
                        decimal_places=0,
                        max_digits=16,
                        null=True,
                    ),
                ),
                (
                    "discount_code",
                    models.CharField(
                        blank=True, db_column="Discount Code", max_length=255, null=True
                    ),
                ),
                (
                    "membership_code",
                    models.CharField(
                        blank=True,
                        db_column="Membership Code",
                        max_length=255,
                        null=True,
                    ),
                ),
                (
                    "start_date",
                    models.DateField(blank=True, db_column="Start Date", null=True),
                ),
                (
                    "end_date",
                    models.DateField(blank=True, db_column="End Date", null=True),
                ),
                (
                    "program_amount",
                    models.DecimalField(
                        blank=True,
                        db_column="Program Amount",
                        decimal_places=0,
                        max_digits=16,
                        null=True,
                    ),
                ),
                (
                    "program_status",
                    models.CharField(
                        blank=True, db_column="Program Status", max_length=16, null=True
                    ),
                ),
            ],
            options={
                "db_table": "Special_Programs",
            },
        ),
        migrations.CreateModel(
            name="Waiver",
            fields=[
                (
                    "number",
                    models.AutoField(
                        db_column="Number", primary_key=True, serialize=False
                    ),
                ),
                ("name", models.CharField(db_column="Name", max_length=255)),
                ("date", models.DateField(db_column="Date")),
                (
                    "emergency_contact_name",
                    models.CharField(
                        blank=True,
                        db_column="Emergency Contact Name",
                        max_length=255,
                        null=True,
                    ),
                ),
                (
                    "emergency_contact_number",
                    models.CharField(
                        blank=True,
                        db_column="Emergency Contact Number",
                        max_length=25,
                        null=True,
                    ),
                ),
                (
                    "waiver_version",
                    models.CharField(db_column="Waiver version", max_length=64),
                ),
                (
                    "guardian_name",
                    models.CharField(
                        blank=True, db_column="Guardian Name", max_length=255, null=True
                    ),
                ),
                (
                    "guardian_relation",
                    models.CharField(
                        blank=True,
                        db_column="Guardian Relation",
                        max_length=255,
                        null=True,
                    ),
                ),
                (
                    "guardian_date",
                    models.DateField(blank=True, db_column="Guardian Date", null=True),
                ),
            ],
            options={
                "db_table": "Waivers",
            },
        ),
        migrations.CreateModel(
            name="Certification",
            fields=[
                (
                    "number",
                    models.AutoField(
                        db_column="Number", primary_key=True, serialize=False
                    ),
                ),
                ("name", models.CharField(db_column="Name", max_length=255)),
                (
                    "certified_by",
                    models.CharField(
                        blank=True, db_column="Certified_By", max_length=255, null=True
                    ),
                ),
                ("date", models.DateField(blank=True, db_column="Date", null=True)),
                (
                    "version",
                    models.CharField(
                        blank=True, db_column="Version", max_length=255, null=True
                    ),
                ),
                (
                    "shop_lead_notified",
                    models.DateTimeField(
                        blank=True, db_column="Shop Lead Notified", null=True
                    ),
                ),
                (
                    "certification",
                    models.ForeignKey(
                        db_column="Certification",
                        on_delete=django.db.models.deletion.PROTECT,
                        to="paperwork.certificationdefinition",
                    ),
                ),
                (
                    "member",
                    models.ForeignKey(
                        blank=True,
                        db_column="uid",
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="membershipworks.member",
                    ),
                ),
                (
                    "notes",
                    models.CharField(
                        blank=True, db_column="Notes", max_length=255, null=True
                    ),
                ),
            ],
            options={
                "db_table": "Certifications",
            },
        ),
    ]
