from django.urls import path

from . import autocomplete_views, views

app_name = "paperwork"

urlpatterns = [
    path(
        "certifications/by_uid/<str:uid>",
        views.MemberCertificationListView.as_view(),
        name="member_certifications",
    ),
    path(
        "certifications/departments/",
        views.department_certifications,
        name="department_certifications",
    ),
    path(
        "certifications/<str:cert_name>_Certification.pdf",
        views.certification_pdf,
        name="certification_pdf",
    ),
    path(
        "certifications/version_autocomplete",
        autocomplete_views.CertificationVersionAutocomplete.as_view(),
        name="certification_version_autocomplete",
    ),
    path(
        "waivers",
        views.WaiverReport.as_view(),
        name="waivers-report",
    ),
    path(
        "instructors-and-vendors",
        views.InstructorOrVendorReport.as_view(),
        name="instructors-and-vendor-report",
    ),
    path(
        "access-verification",
        views.AccessVerificationReport.as_view(),
        name="access-verification-report",
    ),
    path(
        "certifiers",
        views.CertifiersReport.as_view(),
        name="certifiers-report",
    ),
    path(
        "certification-count",
        views.CertificationCountReport.as_view(),
        name="certification-count-report",
    ),
]
