from django import forms

from dal.autocomplete import ModelSelect2

from rentals.models import LockerInfo


class LockerInfoForm(forms.ModelForm):
    class Meta:
        model = LockerInfo
        fields = [
            "blind_code",
            "bitting_code",
            "renter",
            "reserved",
            "notes",
        ]
        widgets = {
            "renter": ModelSelect2(
                url="membershipworks:member-autocomplete",
                attrs={
                    "data-placeholder": "-- No Renter --",
                },
            )
        }
